- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# AnimationPath.cpp File Reference

`#include <osg/Notify>`
`#include <osg/Geometry>`
`#include <osg/AnimationPath>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`

Include dependency graph for lugins/osg/AnimationPath.cpp:

## Functions
bool | AnimationPath_readLocalData (osg::Object &obj, osgDB::Input &fr)
bool | AnimationPath_writeLocalData (const osg::Object &obj, osgDB::Output &fw)
bool | AnimationPathCallback_readLocalData (osg::Object &obj, osgDB::Input &fr)
bool | AnimationPathCallback_writeLocalData (const osg::Object &obj, osgDB::Output &fw)
## Variables
osgDB::RegisterDotOsgWrapperProxy | AnimationPath_Proxy (new osg::AnimationPath,"AnimationPath","Object AnimationPath", AnimationPath_readLocalData, AnimationPath_writeLocalData, DotOsgWrapper::READ_AND_WRITE)
osgDB::RegisterDotOsgWrapperProxy | AnimationPathCallback_Proxy (new osg::AnimationPathCallback,"AnimationPathCallback","Object AnimationPathCallback", AnimationPathCallback_readLocalData, AnimationPathCallback_writeLocalData, DotOsgWrapper::READ_AND_WRITE)

## Function Documentation

bool AnimationPath_readLocalData | ( | osg::Object & | obj,
|  | osgDB::Input & | fr
| ) |

bool AnimationPath_writeLocalData | ( | const osg::Object & | obj,
|  | osgDB::Output & | fw
| ) |

bool AnimationPathCallback_readLocalData | ( | osg::Object & | obj,
|  | osgDB::Input & | fr
| ) |

bool AnimationPathCallback_writeLocalData | ( | const osg::Object & | obj,
|  | osgDB::Output & | fw
| ) |

## Variable Documentation

osgDB::RegisterDotOsgWrapperProxy AnimationPath_Proxy(new osg::AnimationPath,"AnimationPath","Object AnimationPath", AnimationPath_readLocalData, AnimationPath_writeLocalData, DotOsgWrapper::READ_AND_WRITE)

osgDB::RegisterDotOsgWrapperProxy AnimationPathCallback_Proxy(new osg::AnimationPathCallback,"AnimationPathCallback","Object AnimationPathCallback", AnimationPathCallback_readLocalData, AnimationPathCallback_writeLocalData, DotOsgWrapper::READ_AND_WRITE)